<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="#EFF0F2">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:context=".Fragment.RecruitmentFlow.RequestsFlow.CandidateSinglesFlow.RecruitmentRequestCandidateLanguagesFragment">

        <include
            android:id="@+id/header"
            layout="@layout/app_header_white"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <include layout="@layout/fragment_recruitment_request_candidate_languages_video_component"
            android:id="@+id/videoContainer"
            android:layout_width="match_parent"
            android:layout_height="222dp"
            android:layout_marginTop="15dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/header"/>

        <include layout="@layout/fragment_recruitment_request_candidate_languages_video_header_component"
            android:id="@+id/videoTitleContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/videoContainer"
            android:layout_marginTop="5dp"/>

        <RelativeLayout
            android:id="@+id/languagesContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="20dp"
            android:background="@drawable/white_border_10"
            android:elevation="3dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/videoTitleContainer">

            <TextView
                android:id="@+id/languagesContainerTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="30dp"
                android:layout_marginTop="14dp"
                android:fontFamily="@font/os_semibold"
                android:text="@string/recruitment_request_candidate_languages_container_title"
                android:textAlignment="center"
                android:textColor="#001330"
                android:textSize="16sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/languagesList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/languagesContainerTitle"
                android:layout_marginTop="20dp"
                android:layout_marginBottom="28dp"
                tools:itemCount="3"
                tools:listitem="@layout/fragment_recruitment_request_candidate_languages_item" />

        </RelativeLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.core.widget.NestedScrollView>